%define upstream_name    Software-Release
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A change made in a software release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Software/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildArch: noarch

%description
Software::Release is a purely informational collection of objects that you
can use to represent a release of software. Its original use-case was to
provide a contract between a git log parser and a formatter class that
outputs a changelog, but it may be useful to others to create bug trackers,
dashboards or whathaveyou.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514623
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 372661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 163672
- imported package perl-Software-Release


* Sat Nov 05 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
